欢迎光临杨雨的个人博客站!

杨雨个人网站-杨雨个人博客-杨照佳

杨雨个人博客网站

关注互联网和搜索引擎的个人博客网站

首页 > 服务器 >

wdcp升级php5.3失败的解决方案

发布时间:2017-01-05  编辑:杨雨个人博客网站   点击:   

我的升级方法来自官方:
wdcp_v2.5.15默认的php都是用到5.2.17的版本,升级到php5.3执行如下脚本升级[开始我升级时报错了]
wget http://down.wdlinux.cn/in/php_up53.sh
sh php_up53.sh
升级成功会提醒php update is OK。
接着用到zend opt再装Zend Guard Loader,在SSH执行如下脚本
wget http://down.wdlinux.cn/in/ZendGL_ins.sh sh
ZendGL_ins.sh
eaccelerator也只要最新的0.9.6.1版本
wget http://down.wdlinux.cn/in/eac0961_ins.sh sh
eac0961_ins.sh
可是我升级时候是报错的,如下:
点击图片查看WDCP升级PHP5.3报错大图
在各种折腾之后无解,今早突然想起来我登录SSH的时候不是用的ROOT登录的~~以是我想会不会由于权限不够,于是登录了root,如下:
wdcp进级php5.3失败的办理方案
开始我用非ROOT登录,命令行开始前是$,当我输入su回车往后提醒我输入Password,输入以后登录就变成了root的,同时命令行前面就是#
接着我使用官方的教程来运行脚本,/php_up53.sh,时间有点漫长,可是成功了。
wdcp进级php5.3失败的办理方案
接着按照文章开头装了Zend Guard Loader和eaccelerator。

总结:

linux是非常安全的系统,权限控制的很严格,以是在运行脚本等等都必要Root权限,在我没有root权限的时候,我连运行启动WDCP后台服务services wdapache start都是失败的,所以大家在执行的时候要确保有足够的权限才行。

此次wdcp升级php5.3失败的原因就在于没有足够的权限,用su登录root后就在运行脚本就升级成功了。

本文地址:http://itbyc.com/server/15045.html
转载请注明出处。
分享是一种快乐,也是一种美德:
评论列表(网友评论仅供网友表达个人看法,并不表明本站同意其观点或证实其描述)
博客首页 | WEB开发 | 网站运营 | CMS使用教程 滇ICP备14002061号-1